// FSPLC compiles FSPL programs.
// 
// Its job is to take in FSPL code, and compile it to one of the supported
// output formats. Currently it supports native object files, native ASM, and
// LLVM IR code.
//
// Usage:
//   fsplc [OPTION]... [FILE]...
//
//   -O=0
//     Optimization level, 0-3. This does not have an effect when outputting
//     LLVM IR code.
//   -o=FILE.o
//     The file to output to. The file extension determines what output format
//     to use:
//     - .o:  Native object file
//     - .s:  Native assembly
//     - .ll: LLVM IR code
//     If unspecified, the name (without the extension) of the first input file
//     is used, and a .o extension is added to produce an object file.
package main
